

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Data &mdash; SmartRecruiting back v2 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="../_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script type="text/javascript" src="../_static/jquery.js"></script>
        <script type="text/javascript" src="../_static/underscore.js"></script>
        <script type="text/javascript" src="../_static/doctools.js"></script>
        <script type="text/javascript" src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Managers" href="managers.html" />
    <link rel="prev" title="CNN" href="cnn.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> SmartRecruiting back
          

          
          </a>

          
            
            
              <div class="version">
                v2
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../contributing.html">Contributing</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../documentation.html">Backend documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="deeplearning.html">Deeplearning</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">Data</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#module-SmartRecruiting_BackEnd.data.models"><code class="docutils literal notranslate"><span class="pre">models.py</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#module-SmartRecruiting_BackEnd.data.models"><code class="docutils literal notranslate"><span class="pre">database.py</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#managers">Managers</a><ul>
<li class="toctree-l4"><a class="reference internal" href="managers.html">Managers</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="api.html">API</a></li>
</ul>
</li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">SmartRecruiting back</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../documentation.html">Backend documentation</a> &raquo;</li>
        
      <li>Data</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../_sources/backend_doc/data.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="data">
<h1>Data<a class="headerlink" href="#data" title="Permalink to this headline">¶</a></h1>
<div class="section" id="module-SmartRecruiting_BackEnd.data.models">
<span id="models-py"></span><h2><code class="docutils literal notranslate"><span class="pre">models.py</span></code><a class="headerlink" href="#module-SmartRecruiting_BackEnd.data.models" title="Permalink to this headline">¶</a></h2>
<p>ORM representation of tables</p>
<p>Created on Fri Feb 24 22:44:09 2017</p>
<p>&#64;author: Julian</p>
<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.models.Contact">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">Contact</code><span class="sig-paren">(</span><em>name</em>, <em>surname</em>, <em>email</em>, <em>phone</em>, <em>role</em>, <em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#Contact"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.models.Contact" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.models.Field">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">Field</code><span class="sig-paren">(</span><em>name</em>, <em>description</em>, <em>website</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#Field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.models.Field" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.models.Offer">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">Offer</code><span class="sig-paren">(</span><em>title</em>, <em>content</em>, <em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#Offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.models.Offer" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.models.Prediction">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">Prediction</code><span class="sig-paren">(</span><em>mark</em>, <em>id_field</em>, <em>id_offer</em>, <em>is_verify</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#Prediction"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.models.Prediction" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.models.User">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">User</code><span class="sig-paren">(</span><em>name</em>, <em>surname</em>, <em>role</em>, <em>email</em>, <em>password</em>, <em>is_admin</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#User"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.models.User" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<div class="section" id="module-SmartRecruiting_BackEnd.data.models">
<span id="database-py"></span><h2><code class="docutils literal notranslate"><span class="pre">database.py</span></code><a class="headerlink" href="#module-SmartRecruiting_BackEnd.data.models" title="Permalink to this headline">¶</a></h2>
<p>ORM representation of tables</p>
<p>Created on Fri Feb 24 22:44:09 2017</p>
<p>&#64;author: Julian</p>
<dl class="class">
<dt>
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">Contact</code><span class="sig-paren">(</span><em>name</em>, <em>surname</em>, <em>email</em>, <em>phone</em>, <em>role</em>, <em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#Contact"><span class="viewcode-link">[source]</span></a></dt>
<dd></dd></dl>

<dl class="class">
<dt>
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">Field</code><span class="sig-paren">(</span><em>name</em>, <em>description</em>, <em>website</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#Field"><span class="viewcode-link">[source]</span></a></dt>
<dd></dd></dl>

<dl class="class">
<dt>
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">Offer</code><span class="sig-paren">(</span><em>title</em>, <em>content</em>, <em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#Offer"><span class="viewcode-link">[source]</span></a></dt>
<dd></dd></dl>

<dl class="class">
<dt>
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">Prediction</code><span class="sig-paren">(</span><em>mark</em>, <em>id_field</em>, <em>id_offer</em>, <em>is_verify</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#Prediction"><span class="viewcode-link">[source]</span></a></dt>
<dd></dd></dl>

<dl class="class">
<dt>
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.models.</code><code class="descname">User</code><span class="sig-paren">(</span><em>name</em>, <em>surname</em>, <em>role</em>, <em>email</em>, <em>password</em>, <em>is_admin</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/models.html#User"><span class="viewcode-link">[source]</span></a></dt>
<dd></dd></dl>

</div>
<div class="section" id="managers">
<h2>Managers<a class="headerlink" href="#managers" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="managers.html">Managers</a><ul>
<li class="toctree-l2"><a class="reference internal" href="managers.html#manager-py"><code class="docutils literal notranslate"><span class="pre">manager.py</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="managers.html#offer-manager-py"><code class="docutils literal notranslate"><span class="pre">offer_manager.py</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="managers.html#user-manager-py"><code class="docutils literal notranslate"><span class="pre">user_manager.py</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="managers.html#prediction-manager-py"><code class="docutils literal notranslate"><span class="pre">prediction_manager.py</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="managers.html#field-manager-py"><code class="docutils literal notranslate"><span class="pre">field_manager.py</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="managers.html#contact-manager-py"><code class="docutils literal notranslate"><span class="pre">contact_manager.py</span></code></a></li>
</ul>
</li>
</ul>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="managers.html" class="btn btn-neutral float-right" title="Managers" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="cnn.html" class="btn btn-neutral float-left" title="CNN" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Projet 21

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>